<template>
  <div id="app">
    <div class="comp">
      <me-form-input label="Input Field" v-model="form.field"></me-form-input>
      <me-form-input-mask
        :mask="['(##) #####-####']"
        label="Input Mask Phone"
        v-model="form.fieldMask"
      ></me-form-input-mask>
      <me-form-select
        label="Input Select"
        v-model="form.fieldSelect"
        :options="form.selectValue"
      ></me-form-select>
      <me-form-checkbox v-model="form.checked">Teste</me-form-checkbox>
      <me-form-upload
        v-model="form.front"
        :name="'front'"
        :title="'Documento de Identificação'"
        >Try Me Form</me-form-upload
      >
      <me-button-dispatch loading>Try Me</me-button-dispatch>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      form: {
        field: "",
        fieldMask: "",
        fieldSelect: null,
        front: null,
        selectValue: ["Item A", "Item B", "Item C"],
        checked: false,
      },
    };
  },
};
</script>

<style lang="scss">
@import url("https://unpkg.com/tailwindcss@1.7.6/dist/base.css");
@import url("https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500&family=Lato:wght@300;400;700&display=swap");

#app {
  position: relative;
  width: 100%;
  min-height: 100vh;

  font-family: "Lato", sans-serif;
  font-size: 16px;
}

.comp {
  margin: 0 auto;
  max-width: 48rem;
}
</style>
